Support » Plugin: Query Monitor » Uncaught error in php_errors.php

  • Resolved bundelmedia

    (@bundelmedia)


    Today, after upgrading some plugins, I am receiving following errors

    E_ERROR on line number 86 in ./query-monitor/collectors/php_errors.php

    Uncaught Error: Cannot use object of type WP_Error as array in ./plugins/woo-postnl/includes/class-wcmp-rest.php:134 
    Stack trace: 
    #0 ./plugins/woo-postnl/includes/class-wcmp-rest.php(93): WC_PostNL_REST_Client->request('https://api.myp...', 'GET', Array, NULL, NULL, false) 
    #1 ./plugins/woo-postnl/includes/class-wcmp-api.php(134): WC_PostNL_REST_Client->get('https://api.myp...', Array) 
    #2 ./plugins/woo-postnl/includes/class-wcmp-export.php(1092): WC_PostNL_API->get_shipments(54799883) 
    #3 ./plugins/woo-postnl/includes/class-wcmp-admin.php(381): WooCommerce_PostNL_Export->get_shipment_data(54799883, Object(WC_Order)) 
    #4 wp-admin/includes/template.php(1310): WooCommerce_PostNL_Admin->cr
Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author John Blackbourn

    (@johnbillion)

    WordPress Core Developer

    This is a problem with the woo-postnl plugin. Query Monitor is just reporting the error for you.

    @bundelmedia hoe is dit opgelost?

    Hoi @nickrusman. Is niet opgelost. Wij zijn bij deze klant met een andere, erger, issue mee bezig en de PostNL – gezien dat die fout maar af en toe gebeurt – heeft op dit moment minder prio. Maar ik ga ook een ticket aanmaken. Misschien hulp het sneller opgelost krijgen.

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.